| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CoverageDependentSurfPhase::InterpolativeDependency Struct Reference

A struct to store sets of parameters used in coverage-dependent enthalpy and entropy calculations by a interpolative equation or a piecewise-linear equation in CoverageDependentSurfPhase. More...

`#include <CoverageDependentSurfPhase.h>`

## Detailed Description

A struct to store sets of parameters used in coverage-dependent enthalpy and entropy calculations by a interpolative equation or a piecewise-linear equation in CoverageDependentSurfPhase.

Definition at line 164 of file CoverageDependentSurfPhase.h.

## Public Member Functions
| InterpolativeDependency (size_t k, size_t j, const AnyMap &dep_map, const AnyBase &node)

## Public Attributes
size_t | k
| index of a target species whose enthalpy and entropy are calculated
size_t | j
| index of a species whose coverage affects enthalpy and entropy of a target species
map< double, double > | enthalpy_map
| map of <coverage[dimensionless], enthalpy[J/kmol]> pairs
map< double, double > | entropy_map
| map of <coverage[dimensionless], entropy[J/kmol/K]> pairs
bool | isPiecewise
| boolean indicating whether the dependency is piecewise-linear

## Constructor & Destructor Documentation

## ◆ InterpolativeDependency()

InterpolativeDependency | ( | size_t | k,
|  | size_t | j,
|  | const AnyMap & | dep_map,
|  | const AnyBase & | node
| ) |  |

Parameters

  k | index of a target species whose enthalpy and entropy are calculated
  j | index of a species whose coverage affects enthalpy and entropy of a target species
  dep_map | map of coverage-dependency parameters
  node | species node of a target species

Definition at line 58 of file CoverageDependentSurfPhase.cpp.

## Member Data Documentation

## ◆ k

size_t k

index of a target species whose enthalpy and entropy are calculated

Definition at line 177 of file CoverageDependentSurfPhase.h.

## ◆ j

size_t j

index of a species whose coverage affects enthalpy and entropy of a target species

Definition at line 180 of file CoverageDependentSurfPhase.h.

## ◆ enthalpy_map

map<double, double> enthalpy_map

map of <coverage[dimensionless], enthalpy[J/kmol]> pairs

Definition at line 182 of file CoverageDependentSurfPhase.h.

## ◆ entropy_map

map<double, double> entropy_map

map of <coverage[dimensionless], entropy[J/kmol/K]> pairs

Definition at line 184 of file CoverageDependentSurfPhase.h.

## ◆ isPiecewise

bool isPiecewise

boolean indicating whether the dependency is piecewise-linear

Definition at line 186 of file CoverageDependentSurfPhase.h.

The documentation for this struct was generated from the following files:

- CoverageDependentSurfPhase.h
- CoverageDependentSurfPhase.cpp